<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:41 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>MantraFingerprintProvider (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MantraFingerprintProvider (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MantraFingerprintProvider.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/fp/impl/MantraFingerprintProvider.html" target="_top">Frames</a></li>
<li><a href="MantraFingerprintProvider.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.io.mosip.registration.device.fp.FingerprintProvider">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.device.fp.impl</div>
<h2 title="Class MantraFingerprintProvider" class="title">Class MantraFingerprintProvider</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../io/mosip/registration/device/fp/FingerprintProvider.html" title="class in io.mosip.registration.device.fp">io.mosip.registration.device.fp.FingerprintProvider</a></li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.device.fp.impl.MantraFingerprintProvider</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../io/mosip/registration/device/fp/MosipFingerprintProvider.html" title="interface in io.mosip.registration.device.fp">MosipFingerprintProvider</a>, MFS100.MFS100Event</dd>
</dl>
<hr>
<br>
<pre>@Component
public class <span class="typeNameLabel">MantraFingerprintProvider</span>
extends <a href="../../../../../../io/mosip/registration/device/fp/FingerprintProvider.html" title="class in io.mosip.registration.device.fp">FingerprintProvider</a>
implements MFS100.MFS100Event</pre>
<div class="block">Mantra finger print device specific functionality implemented.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>SaravanaKumar G</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.io.mosip.registration.device.fp.FingerprintProvider">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;io.mosip.registration.device.fp.<a href="../../../../../../io/mosip/registration/device/fp/FingerprintProvider.html" title="class in io.mosip.registration.device.fp">FingerprintProvider</a></h3>
<code><a href="../../../../../../io/mosip/registration/device/fp/FingerprintProvider.html#errorMessage">errorMessage</a>, <a href="../../../../../../io/mosip/registration/device/fp/FingerprintProvider.html#fingerDataInByte">fingerDataInByte</a>, <a href="../../../../../../io/mosip/registration/device/fp/FingerprintProvider.html#fingerPrintImage">fingerPrintImage</a>, <a href="../../../../../../io/mosip/registration/device/fp/FingerprintProvider.html#isoTemplate">isoTemplate</a>, <a href="../../../../../../io/mosip/registration/device/fp/FingerprintProvider.html#minutia">minutia</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/fp/impl/MantraFingerprintProvider.html#MantraFingerprintProvider--">MantraFingerprintProvider</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/fp/impl/MantraFingerprintProvider.html#captureFingerprint-int-int-java.lang.String-">captureFingerprint</a></span>(int&nbsp;qualityScore,
                  int&nbsp;captureTimeOut,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;outputType)</code>
<div class="block">This method initialize the device and capture the image from device.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/fp/impl/MantraFingerprintProvider.html#OnCaptureCompleted-boolean-int-java.lang.String-MFS100.FingerData-">OnCaptureCompleted</a></span>(boolean&nbsp;status,
                  int&nbsp;erroeCode,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;errorMsg,
                  MFS100.FingerData&nbsp;fingerData)</code>
<div class="block">Once the image captured then the respective Minutia and the ISO template
 would be extracted.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/fp/impl/MantraFingerprintProvider.html#OnPreview-MFS100.FingerData-">OnPreview</a></span>(MFS100.FingerData&nbsp;arg0)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/fp/impl/MantraFingerprintProvider.html#uninitFingerPrintDevice--">uninitFingerPrintDevice</a></span>()</code>
<div class="block">Stop and uninitialize the FP device.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.io.mosip.registration.device.fp.FingerprintProvider">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;io.mosip.registration.device.fp.<a href="../../../../../../io/mosip/registration/device/fp/FingerprintProvider.html" title="class in io.mosip.registration.device.fp">FingerprintProvider</a></h3>
<code><a href="../../../../../../io/mosip/registration/device/fp/FingerprintProvider.html#getErrorMessage--">getErrorMessage</a>, <a href="../../../../../../io/mosip/registration/device/fp/FingerprintProvider.html#getFingerPrintImage--">getFingerPrintImage</a>, <a href="../../../../../../io/mosip/registration/device/fp/FingerprintProvider.html#getIsoTemplate--">getIsoTemplate</a>, <a href="../../../../../../io/mosip/registration/device/fp/FingerprintProvider.html#getMinutia--">getMinutia</a>, <a href="../../../../../../io/mosip/registration/device/fp/FingerprintProvider.html#prepareMinutia-byte:A-">prepareMinutia</a>, <a href="../../../../../../io/mosip/registration/device/fp/FingerprintProvider.html#scoreCalculator-byte:A-byte:A-">scoreCalculator</a>, <a href="../../../../../../io/mosip/registration/device/fp/FingerprintProvider.html#scoreCalculator-java.lang.String-java.lang.String-">scoreCalculator</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MantraFingerprintProvider--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MantraFingerprintProvider</h4>
<pre>public&nbsp;MantraFingerprintProvider()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="captureFingerprint-int-int-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>captureFingerprint</h4>
<pre>public&nbsp;int&nbsp;captureFingerprint(int&nbsp;qualityScore,
                              int&nbsp;captureTimeOut,
                              <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;outputType)</pre>
<div class="block">This method initialize the device and capture the image from device. it waits
 for the given time and quality to meet. if not met in the given time then
 throw the error code and messages. outputType - minutia or ISOTemplate</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../io/mosip/registration/device/fp/MosipFingerprintProvider.html#captureFingerprint-int-int-java.lang.String-">captureFingerprint</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../io/mosip/registration/device/fp/MosipFingerprintProvider.html" title="interface in io.mosip.registration.device.fp">MosipFingerprintProvider</a></code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../io/mosip/registration/device/fp/FingerprintProvider.html#captureFingerprint-int-int-java.lang.String-">captureFingerprint</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../io/mosip/registration/device/fp/FingerprintProvider.html" title="class in io.mosip.registration.device.fp">FingerprintProvider</a></code></dd>
</dl>
</li>
</ul>
<a name="uninitFingerPrintDevice--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>uninitFingerPrintDevice</h4>
<pre>public&nbsp;void&nbsp;uninitFingerPrintDevice()</pre>
<div class="block">Stop and uninitialize the FP device.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../io/mosip/registration/device/fp/MosipFingerprintProvider.html#uninitFingerPrintDevice--">uninitFingerPrintDevice</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../io/mosip/registration/device/fp/MosipFingerprintProvider.html" title="interface in io.mosip.registration.device.fp">MosipFingerprintProvider</a></code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../io/mosip/registration/device/fp/FingerprintProvider.html#uninitFingerPrintDevice--">uninitFingerPrintDevice</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../io/mosip/registration/device/fp/FingerprintProvider.html" title="class in io.mosip.registration.device.fp">FingerprintProvider</a></code></dd>
</dl>
</li>
</ul>
<a name="OnCaptureCompleted-boolean-int-java.lang.String-MFS100.FingerData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OnCaptureCompleted</h4>
<pre>public&nbsp;void&nbsp;OnCaptureCompleted(boolean&nbsp;status,
                               int&nbsp;erroeCode,
                               <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;errorMsg,
                               MFS100.FingerData&nbsp;fingerData)</pre>
<div class="block">Once the image captured then the respective Minutia and the ISO template
 would be extracted.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>OnCaptureCompleted</code>&nbsp;in interface&nbsp;<code>MFS100.MFS100Event</code></dd>
</dl>
</li>
</ul>
<a name="OnPreview-MFS100.FingerData-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>OnPreview</h4>
<pre>public&nbsp;void&nbsp;OnPreview(MFS100.FingerData&nbsp;arg0)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>OnPreview</code>&nbsp;in interface&nbsp;<code>MFS100.MFS100Event</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MantraFingerprintProvider.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/fp/impl/MantraFingerprintProvider.html" target="_top">Frames</a></li>
<li><a href="MantraFingerprintProvider.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.io.mosip.registration.device.fp.FingerprintProvider">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
